[tool.poetry]
name = "proteox_driver"
version = "0.1.0"
description = "A QCoDeS driver for the Proteox fridge by Oxford Instruments"
authors = ["Dennis Brinkman <d.brinkman-1@tudelft.nl>"]
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.10"
qcodes = "^0.48.0"

[tool.poetry.group.dev.dependencies]
isort = "^5.13.2"
black = "^24.8.0"
pylint = "^3.3.1"

[tool.black]
line-length = 120

[tool.isort]
profile = "black"

[tool.pylint."MESSAGES CONTROL"]
disable = [
    "format",                         # format - handled by black
    "missing-module-docstring",       # Don't care
    "missing-class-docstring",        # Don't care
    "missing-function-docstring",     # Don't care
    "duplicate-code",                 # unavoidable
    "too-few-public-methods",
    "too-many-arguments",
    "too-many-instance-attributes",
    "logging-fstring-interpolation",  # I like this way more
    "broad-except",                   # No need to specify more
    "no-else-return",                 # I find this seperation more clear
    "f-string-without-interpolation", # Just a habit to make f-strings
    "simplifiable-if-expression",     # Often reads more clearly if not simplified
    "use-a-generator",                # Don't care
]


[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
